ruby-on-rails – 在任何来源中都找不到json-1.8.1(Bundler :: GemNotFound)

我正在运行以下堆栈:

> ruby​​ 2.1.1p76(2014-02-24修订版45161)[x86_64-linux]
> RubyGems 2.2.2
> Rails 4.1.0
> Bundler版本1.6.2

在ubuntu上运行apache

我收到以下错误:

Could not find json-1.8.1 in any of the sources (Bundler::GemNotFound)

当我寻找json如下:

$gem list | grep json

json (1.8.1)
multi_json (1.9.2)

它存在但由于某种原因,来自Passenger的消息如下:

Ruby (Rack) application could not be started

Error message:
Could not find json-1.8.1 in any of the sources (Bundler::GemNotFound)
Exception class:
PhusionPassenger::UnknownError

最佳答案
对我来说,这个问题是由Spring(Rails快速加载器)没有获取Gem /路径变化引起的.我正在执行rails generate rspec:install并找不到json-1.8.1.

我可能执行了三十个不同的命令 – 其中任何一个都可能对最终解决方案产生影响 – 但最终执行bin / spring stop允许进一步的rails命令工作,因为他们使用更新的Gem-list重新启动Spring服务器.

转载注明原文:ruby-on-rails – 在任何来源中都找不到json-1.8.1(Bundler :: GemNotFound) - 代码日志